Package com.ads.api.beans.common

# Enum Class Node.NodeType

java.lang.Object
java.lang.Enum<Node.NodeType>
com.ads.api.beans.common.Node.NodeType

All Implemented Interfaces:
  `Serializable`, `Comparable<Node.NodeType>`, `Constable`

Enclosing class:
  Node

public static enum Node.NodeType extends Enum<Node.NodeType>
These constants are used to specify the NodeType such as Table, column, Project, Subject, Mapping, Component, Environment and Field. The constants of this enumerated type provides a simple classification of the declared elements.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADS_KEY_VALUE`
  ADS_KEY_VALUE nodeType is used to refer when the node we access is a KeyValue under any of the KeyValues.
  `ANY`
  Any of the above types Only applicable in select places, like Event Handling
  `APP_PREFERENCE`
  APP_PREFERENCE nodeType is used to refer App_Preferences.
  `BGM_CUSTOM`
  BGM_CUSTOM nodeType is used to refer when the node we access is a Custom object under any of the Custom catalogs.
  `BGM_CUSTOM_TYPES`
  BGM_CUSTOM_TYPES nodeType is used to refer BGM Custom Type.
  `BGM_POLICY`
  BGM_POLICY nodeType is used to refer when the node we access is a Policy under any of the Policy's.
  `BGM_RULE`
  BGM_RULE nodeType is used to refer when the node we access is a Rule under any of the rules.
  `BGM_TERM`
  BGM_TERM nodeType is used to refer when the node we access is a Term under any of the catalogs.
  `BUSINESS_ENTITY_TYPE`
  Business Entity Type
  `CSM_CODE_VALUE`
  CSM_CODE_VALUE nodeType is used to refer when the node we access is a COdeValue under any of the CodeValues.
  `CSM_CODESET`
  CSM_CODESET nodeType is used to refer when the node we access is a codeset.
  `CSM_CODESET_CATEGORY`
  CSM_CODESET_CATEGORY nodeType is used to refer when the node we access is a codeset category.
  `DI_INSTANCE`
  DI Instance details
  `LANGUAGE_KEY`
  LANGUAGE_KEY nodeType is used to refer Language properties.
  `LINEAGE`
  LINEAGE nodeType is used to refer LINEAGE Sync.
  `MM_MAPPING`
  MM_MAPPING nodeType is used to refer when the node we access is a mapping with in a project or subject.
  `MM_MAPPING_ROW`
  MM_MAPPING_ROW nodeType is used to refer when the node we access is a mapping specification in a mapping.
  `MM_PROJECT`
  PROJECT nodeType is used to refer when the node we access is Project.
  `MM_SUBJECT`
  MM_SUBJECT nodeType is used to refer when the node we access is a subject with in a project.
  `REQM_SPECIFICATION`
  REQM_SPECIFICATION nodeType is used to refer when the node we access is a Specification.
  `RSM_ROLE`
  Role nodeType is used to refer Role in Resource Manager
  `SM_COLUMN`
  SM_COLUMN nodeType is used to refer when the node we access is a column under any of the tables.
  `SM_ENVIRONMENT`
  SM_ENVIRONMENT nodeType is used to refer when the node we access is a environment of any system.
  `SM_METADATA`
  `SM_SYSTEM`
  SM_SYSTEM nodeType is used to refer when the node we access is a system under metaData node.
  `SM_TABLE`
  SM_TABLE nodeType is used to refer when the node we access is a table under any of the environments.
  `TAG`
  TAG nodeType is used to refer when the node we access is Tag.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Node.NodeType`
  `getNodeType(int objectTypeId)`
  `static Node.NodeType`
  `getNodeType(String value)`
  Returns the nodeType of the specified value.
  `int`
  `getObjectTypeId()`
  `static int`
  `getObjectTypeId(Node.NodeType nodeType)`
  `static Node.NodeType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Node.NodeType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MM_PROJECT

    public static final Node.NodeType MM_PROJECT
    PROJECT nodeType is used to refer when the node we access is Project. MM_PROJECT nodeType is used to refer when the node we access is Project.

  - ### MM_SUBJECT

    public static final Node.NodeType MM_SUBJECT
    MM_SUBJECT nodeType is used to refer when the node we access is a subject with in a project.

  - ### MM_MAPPING

    public static final Node.NodeType MM_MAPPING
    MM_MAPPING nodeType is used to refer when the node we access is a mapping with in a project or subject.
    mapping can be present in project or in subject.

  - ### MM_MAPPING_ROW

    public static final Node.NodeType MM_MAPPING_ROW
    MM_MAPPING_ROW nodeType is used to refer when the node we access is a mapping specification in a mapping.

  - ### SM_METADATA

    public static final Node.NodeType SM_METADATA

  - ### SM_SYSTEM

    public static final Node.NodeType SM_SYSTEM
    SM_SYSTEM nodeType is used to refer when the node we access is a system under metaData node.

  - ### SM_ENVIRONMENT

    public static final Node.NodeType SM_ENVIRONMENT
    SM_ENVIRONMENT nodeType is used to refer when the node we access is a environment of any system.

  - ### SM_TABLE

    public static final Node.NodeType SM_TABLE
    SM_TABLE nodeType is used to refer when the node we access is a table under any of the environments.

  - ### SM_COLUMN

    public static final Node.NodeType SM_COLUMN
    SM_COLUMN nodeType is used to refer when the node we access is a column under any of the tables.

  - ### CSM_CODESET_CATEGORY

    public static final Node.NodeType CSM_CODESET_CATEGORY
    CSM_CODESET_CATEGORY nodeType is used to refer when the node we access is a codeset category.

  - ### CSM_CODESET

    public static final Node.NodeType CSM_CODESET
    CSM_CODESET nodeType is used to refer when the node we access is a codeset.

  - ### REQM_SPECIFICATION

    public static final Node.NodeType REQM_SPECIFICATION
    REQM_SPECIFICATION nodeType is used to refer when the node we access is a Specification.

  - ### BGM_TERM

    public static final Node.NodeType BGM_TERM
    BGM_TERM nodeType is used to refer when the node we access is a Term under any of the catalogs.

  - ### BGM_RULE

    public static final Node.NodeType BGM_RULE
    BGM_RULE nodeType is used to refer when the node we access is a Rule under any of the rules.

  - ### BGM_POLICY

    public static final Node.NodeType BGM_POLICY
    BGM_POLICY nodeType is used to refer when the node we access is a Policy under any of the Policy's.

  - ### BGM_CUSTOM

    public static final Node.NodeType BGM_CUSTOM
    BGM_CUSTOM nodeType is used to refer when the node we access is a Custom object under any of the Custom catalogs.

  - ### ADS_KEY_VALUE

    public static final Node.NodeType ADS_KEY_VALUE
    ADS_KEY_VALUE nodeType is used to refer when the node we access is a KeyValue under any of the KeyValues.

  - ### CSM_CODE_VALUE

    public static final Node.NodeType CSM_CODE_VALUE
    CSM_CODE_VALUE nodeType is used to refer when the node we access is a COdeValue under any of the CodeValues.

  - ### TAG

    public static final Node.NodeType TAG
    TAG nodeType is used to refer when the node we access is Tag.

  - ### RSM_ROLE

    public static final Node.NodeType RSM_ROLE
    Role nodeType is used to refer Role in Resource Manager

  - ### ANY

    public static final Node.NodeType ANY
    Any of the above types Only applicable in select places, like Event Handling

  - ### BUSINESS_ENTITY_TYPE

    public static final Node.NodeType BUSINESS_ENTITY_TYPE
    Business Entity Type

  - ### DI_INSTANCE

    public static final Node.NodeType DI_INSTANCE
    DI Instance details

  - ### LANGUAGE_KEY

    public static final Node.NodeType LANGUAGE_KEY
    LANGUAGE_KEY nodeType is used to refer Language properties.

  - ### APP_PREFERENCE

    public static final Node.NodeType APP_PREFERENCE
    APP_PREFERENCE nodeType is used to refer App_Preferences.

  - ### LINEAGE

    public static final Node.NodeType LINEAGE
    LINEAGE nodeType is used to refer LINEAGE Sync.

  - ### BGM_CUSTOM_TYPES

    public static final Node.NodeType BGM_CUSTOM_TYPES
    BGM_CUSTOM_TYPES nodeType is used to refer BGM Custom Type.

- ## Method Details

  - ### values

    public static Node.NodeType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Node.NodeType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getObjectTypeId

    public static int getObjectTypeId(Node.NodeType nodeType)

  - ### getObjectTypeId

    public int getObjectTypeId()

  - ### getNodeType

    public static Node.NodeType getNodeType(String value)
    Returns the nodeType of the specified value.
    NodeType can be Table, column, Project, Subject, Mapping, Component, Environment and Field.
    Parameters:
      `value` - String
    Returns:
      NodeType Node Object

  - ### getNodeType

    public static Node.NodeType getNodeType(int objectTypeId)